/* dc_gui2 - a GTK+2 GUI for DCTC
 * Copyright (C) 2002 Eric Prevoteau
 *
 * user_clist.h: Copyright (C) Eric Prevoteau <www@ac2i.tzo.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
$Id: user_clist.h,v 1.1.1.1 2003/07/23 05:57:20 ericprev Exp $
*/

#ifndef __USER_CLIST_H__
#define __USER_CLIST_H__

/********************************************/
/* build modele and view for the user clist */
/********************************************/
void bmav4_user_clist(void);

/* -------------------------------------------------------------------------- */
/*********************************************************************************************/
/* this function search in the user_clist to find a nick matching the partially provided one */
/*********************************************************************************************/
/* output: a Gstring containing the full nick or NULL if none or more than one match */
/*************************************************************************************/
GString *complete_a_nick(const char *partial_nick);

#endif
